%define major	4
%define libname	%mklibname xmp %{major}
%define devname	%mklibname xmp -d

Name:		libxmp
Summary:	Extended Module Player Library
Version:	4.5.0
Release:	%mkrel 2
# most of the source is LGPLv2+, exceptions:
# src/filter.c: MIT
# src/md5.*: Public domain
# src/fnmatch.*: BSD with advertising
# src/depackers/mmcmp.c: MIT
# src/depackers/ppdepack.c: Public domain
# src/depackers/unzoo.c: MIT
License:	BSD and LGPLv2+ and MIT and Public Domain
Group:		System/Libraries
Url:		http://xmp.sourceforge.net/
Source0:	https://download.sourceforge.net/xmp/%{name}-%{version}.tar.gz

%description
Libxmp is a library that renders module files to PCM data. It supports
over 90 mainstream and obscure module formats including Protracker (MOD),
Scream Tracker 3 (S3M), Fast Tracker II (XM), and Impulse Tracker (IT).

Many compressed module formats are supported, including popular Unix, DOS,
and Amiga file packers including gzip, bzip2, SQSH, Powerpack, etc.

%package -n %{libname}
Summary:	Extended Module Player Library
Group:		System/Libraries

%description -n %{libname}
Libxmp is a library that renders module files to PCM data. It supports
over 90 mainstream and obscure module formats including Protracker (MOD),
Scream Tracker 3 (S3M), Fast Tracker II (XM), and Impulse Tracker (IT).

Many compressed module formats are supported, including popular Unix, DOS,
and Amiga file packers including gzip, bzip2, SQSH, Powerpack, etc.

%package -n %{devname}
Summary:	Development files and headers for %{name}
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	xmp-devel = %{version}-%{release}

%description -n %{devname}
This package contains the development files and headers for %{name}.

%prep
%setup -q

# non UTF-8 file
mv docs/Changelog docs/Changelog.old
iconv -f ISO-8859-1 -t UTF-8 -o docs/Changelog docs/Changelog.old

%build
%configure
%make_build

%install
%make_install

# man page
install -Dpm644 docs/libxmp.3 %{buildroot}%{_mandir}/man3/libxmp.3

# fix rights
chmod 755 %{buildroot}%{_libdir}/libxmp.so.*

%files -n %{libname}
%doc README docs/Changelog docs/CREDITS
%{_libdir}/libxmp.so.%{major}
%{_libdir}/libxmp.so.%{major}.*

%files -n %{devname}
%doc docs/libxmp.html docs/libxmp.pdf docs/*.txt
%{_includedir}/xmp.h
%{_libdir}/libxmp.so
%{_libdir}/pkgconfig/libxmp.pc
%{_mandir}/man3/libxmp.3.*


%changelog
* Tue Mar 15 2022 umeabot <umeabot> 4.5.0-2.mga9
+ Revision: 1793587
- Mageia 9 Mass Rebuild

* Sun Jun 20 2021 wally <wally> 4.5.0-1.mga9
+ Revision: 1731455
- new version 4.5.0

* Thu Feb 13 2020 umeabot <umeabot> 4.4.1-3.mga8
+ Revision: 1514667
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 4.4.1-2.mga7
+ Revision: 1299261
- Mageia 7 Mass Rebuild

* Thu Oct 13 2016 shlomif <shlomif> 4.4.1-1.mga6
+ Revision: 1060667
- New version 4.4.1 with some bugfixes and should be backcompat.

* Sat Aug 27 2016 wally <wally> 4.4.0-1.mga6
+ Revision: 1049181
- new version 4.4.0

* Tue Apr 19 2016 shlomif <shlomif> 4.3.13-1.mga6
+ Revision: 1003607
- New version 4.3.13

* Sun Mar 06 2016 shlomif <shlomif> 4.3.12-1.mga6
+ Revision: 986775
- New version 4.3.12

* Sat Feb 13 2016 shlomif <shlomif> 4.3.11-1.mga6
+ Revision: 959469
- New version 4.3.11

* Wed Jan 06 2016 wally <wally> 4.3.10-1.mga6
+ Revision: 919977
- new version 4.3.10

* Sun Jul 05 2015 wally <wally> 4.3.9-1.mga6
+ Revision: 851151
- new version 4.3.9

* Mon Jun 22 2015 wally <wally> 4.3.8-1.mga6
+ Revision: 839627
- new version 4.3.8

* Wed Oct 15 2014 umeabot <umeabot> 4.2.8-3.mga5
+ Revision: 742534
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.2.8-2.mga5
+ Revision: 681890
- Mageia 5 Mass Rebuild

* Mon Aug 04 2014 wally <wally> 4.2.8-1.mga5
+ Revision: 659624
- new version 4.2.8

* Fri Apr 25 2014 wally <wally> 4.2.7-1.mga5
+ Revision: 617920
- new version 4.2.7

* Wed Mar 05 2014 wally <wally> 4.2.5-1.mga5
+ Revision: 600139
- new version 4.2.5

* Wed Feb 26 2014 wally <wally> 4.2.4-1.mga5
+ Revision: 597382
- new version 4.2.4

* Tue Feb 04 2014 wally <wally> 4.2.3-1.mga5
+ Revision: 581951
- new version 4.2.3

* Sat Oct 19 2013 umeabot <umeabot> 4.1.5-2.mga4
+ Revision: 532360
- Mageia 4 Mass Rebuild

* Tue Aug 20 2013 wally <wally> 4.1.5-1.mga4
+ Revision: 468103
- import libxmp (partially based on .spec from Fedora)

